Issue 12694 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Status: CLOSED FIXED
Product: Calc
Classification: Application
Component: code
644
All All
: P3 trivial (vote)
: ---
Assigned To: niklas.nebel
issues@sc
:
Depends on:
Blocks: 11945
  Show dependency treegraph
 
Reported: 2003-03-26 20:21 UTC by matthias.huetsch
Modified: 2013-08-07 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-26 20:21:16 UTC
Hi Niklas,

Several dynamically loaded shared libraries delivered by project 'sc'
fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.

Affected in module 'sc' is the following library:

librot644ss.so	(sc/sc/addin/rot13)

Affected in module 'scaddins' are the following libraries:

libanalysis644ss.so  (sc/scaddins/source/analysis)
libdate644ss.so	     (sc/scaddins/source/datefunc)

All modules (sc, scaddins) have already been added to 'cws_srx644_tune01',
were this issue shall be fixed.

Please notify / dispatch to the appropriate owner(s).

Thanks,
Matthias
Comment 1 matthias.huetsch 2003-03-26 20:22:26 UTC
Added tentative target milestone 'OOo 1.1 Beta2' and dependency to
meta issue 11945.
Comment 2 matthias.huetsch 2003-04-06 16:20:49 UTC
Fixed by submitter due to no reaction within 10 days :-(
Comment 3 matthias.huetsch 2003-04-15 10:01:07 UTC
Verified...
Comment 4 matthias.huetsch 2003-04-29 13:15:48 UTC
Verified integration into SRX644/m12s1